VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL prgdin(7:0)
        SIGNAL m2
        SIGNAL XLXN_38
        SIGNAL match
        SIGNAL addresslowr
        SIGNAL addresshiwr
        SIGNAL genieain(7:0)
        SIGNAL genieain(15:8)
        SIGNAL genieain(15:0)
        SIGNAL prgain(15:0)
        SIGNAL prgdout(7:0)
        SIGNAL newdwr
        PORT Input prgdin(7:0)
        PORT Input m2
        PORT Output match
        PORT Input addresslowr
        PORT Input addresshiwr
        PORT Input prgain(15:0)
        PORT Output prgdout(7:0)
        PORT Input newdwr
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF comp16
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            RECTANGLE N 0 -140 64 -116 
            LINE N 0 -320 64 -320 
            RECTANGLE N 0 -332 64 -308 
            LINE N 384 -224 320 -224 
        END BLOCKDEF
        BEGIN BLOCK XLXI_7 fd8ce
            PIN C m2
            PIN CE addresslowr
            PIN CLR
            PIN D(7:0) prgdin(7:0)
            PIN Q(7:0) genieain(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_8 fd8ce
            PIN C m2
            PIN CE addresshiwr
            PIN CLR
            PIN D(7:0) prgdin(7:0)
            PIN Q(7:0) genieain(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_11 comp16
            PIN A(15:0) prgain(15:0)
            PIN B(15:0) genieain(15:0)
            PIN EQ match
        END BLOCK
        BEGIN BLOCK XLXI_5 fd8ce
            PIN C m2
            PIN CE newdwr
            PIN CLR
            PIN D(7:0) prgdin(7:0)
            PIN Q(7:0) prgdout(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_7 592 1168 R0
        INSTANCE XLXI_8 592 1504 R0
        INSTANCE XLXI_11 1264 1296 R0
        BEGIN BRANCH match
            WIRE 1648 1072 1792 1072
        END BRANCH
        BEGIN BRANCH prgdin(7:0)
            WIRE 464 912 592 912
            BEGIN DISPLAY 464 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH addresslowr
            WIRE 464 976 592 976
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 1040 592 1040
            BEGIN DISPLAY 464 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgdin(7:0)
            WIRE 464 1248 592 1248
            BEGIN DISPLAY 464 1248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH addresshiwr
            WIRE 464 1312 592 1312
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 1376 592 1376
            BEGIN DISPLAY 464 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH genieain(7:0)
            WIRE 976 912 1072 912
            BEGIN DISPLAY 1072 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH genieain(15:8)
            WIRE 976 1248 1088 1248
            BEGIN DISPLAY 1088 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH genieain(15:0)
            WIRE 1168 1168 1264 1168
            BEGIN DISPLAY 1168 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(15:0)
            WIRE 1184 976 1264 976
        END BRANCH
        IOMARKER 464 976 addresslowr R180 28
        IOMARKER 464 1312 addresshiwr R180 28
        IOMARKER 1184 976 prgain(15:0) R180 28
        IOMARKER 1792 1072 match R0 28
        INSTANCE XLXI_5 592 704 R0
        BEGIN BRANCH prgdout(7:0)
            WIRE 976 448 1120 448
        END BRANCH
        BEGIN BRANCH prgdin(7:0)
            WIRE 464 448 592 448
        END BRANCH
        BEGIN BRANCH newdwr
            WIRE 464 512 592 512
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 576 592 576
        END BRANCH
        IOMARKER 464 448 prgdin(7:0) R180 28
        IOMARKER 464 512 newdwr R180 28
        IOMARKER 464 576 m2 R180 28
        IOMARKER 1120 448 prgdout(7:0) R0 28
    END SHEET
END SCHEMATIC
