VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL chrain10
        SIGNAL chrain13
        SIGNAL chrain11
        SIGNAL XLXN_80
        SIGNAL XLXN_81
        SIGNAL XLXN_108
        SIGNAL XLXN_109
        SIGNAL XLXN_110
        SIGNAL XLXN_112
        SIGNAL chrbanka11
        SIGNAL chrbanka10
        SIGNAL oneA
        SIGNAL XLXN_117
        SIGNAL prgdin(7:0)
        SIGNAL hardwirefour
        SIGNAL oneB
        SIGNAL XLXN_132
        SIGNAL vertical
        SIGNAL horizontal
        SIGNAL four
        SIGNAL XLXN_133
        SIGNAL XLXN_137
        SIGNAL XLXN_138
        SIGNAL XLXN_139
        SIGNAL cramaout10
        SIGNAL XLXN_148
        SIGNAL cramaout11
        SIGNAL ciram_ce
        SIGNAL fram_ce
        SIGNAL nesclk
        SIGNAL prgdin(3)
        SIGNAL mirroringwr
        SIGNAL nesm2
        SIGNAL XLXN_149
        PORT Input chrain10
        PORT Input chrain13
        PORT Input chrain11
        PORT Input chrbanka11
        PORT Input chrbanka10
        PORT Input oneA
        PORT Input prgdin(7:0)
        PORT Input oneB
        PORT Input vertical
        PORT Input horizontal
        PORT Input four
        PORT Output cramaout10
        PORT Output cramaout11
        PORT Output ciram_ce
        PORT Output fram_ce
        PORT Input nesclk
        PORT Input mirroringwr
        PORT Input nesm2
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fdce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF nor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N 28 -144 204 32 192 -96 112 -144 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -48 48 -48 
            LINE N 112 -144 48 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_37 and2b1
            PIN I0 chrain13
            PIN I1 chrbanka10
            PIN O XLXN_108
        END BLOCK
        BEGIN BLOCK XLXI_48 and3
            PIN I0 chrain11
            PIN I1 XLXN_139
            PIN I2 chrain13
            PIN O XLXN_109
        END BLOCK
        BEGIN BLOCK XLXI_49 and3
            PIN I0 XLXN_112
            PIN I1 chrain13
            PIN I2 chrain10
            PIN O XLXN_110
        END BLOCK
        BEGIN BLOCK XLXI_51 or2
            PIN I0 XLXN_132
            PIN I1 XLXN_138
            PIN O XLXN_112
        END BLOCK
        BEGIN BLOCK XLXI_50 and2
            PIN I0 chrain13
            PIN I1 XLXN_137
            PIN O XLXN_117
        END BLOCK
        BEGIN BLOCK XLXI_62 or4
            PIN I0 XLXN_109
            PIN I1 XLXN_108
            PIN I2 XLXN_110
            PIN I3 XLXN_117
            PIN O XLXN_148
        END BLOCK
        BEGIN BLOCK XLXI_81 and3b1
            PIN I0 chrain11
            PIN I1 chrain13
            PIN I2 XLXN_132
            PIN O XLXN_81
        END BLOCK
        BEGIN BLOCK XLXI_82 and3
            PIN I0 chrain11
            PIN I1 chrain13
            PIN I2 XLXN_132
            PIN O XLXN_133
        END BLOCK
        BEGIN BLOCK XLXI_83 inv
            PIN I XLXN_133
            PIN O fram_ce
        END BLOCK
        BEGIN BLOCK XLXI_84 and2b1
            PIN I0 XLXN_132
            PIN I1 chrain13
            PIN O XLXN_80
        END BLOCK
        BEGIN BLOCK XLXI_85 or2
            PIN I0 hardwirefour
            PIN I1 four
            PIN O XLXN_132
        END BLOCK
        BEGIN BLOCK XLXI_87 and2b1
            PIN I0 hardwirefour
            PIN I1 oneB
            PIN O XLXN_137
        END BLOCK
        BEGIN BLOCK XLXI_88 and2b1
            PIN I0 hardwirefour
            PIN I1 vertical
            PIN O XLXN_138
        END BLOCK
        BEGIN BLOCK XLXI_89 and2b1
            PIN I0 hardwirefour
            PIN I1 horizontal
            PIN O XLXN_139
        END BLOCK
        BEGIN BLOCK XLXI_96 fdce
            PIN C nesm2
            PIN CE mirroringwr
            PIN CLR
            PIN D prgdin(3)
            PIN Q hardwirefour
        END BLOCK
        BEGIN BLOCK XLXI_97 buf
            PIN I XLXN_148
            PIN O cramaout10
        END BLOCK
        BEGIN BLOCK XLXI_98 buf
            PIN I chrbanka11
            PIN O cramaout11
        END BLOCK
        BEGIN BLOCK XLXI_103 nor2
            PIN I0 XLXN_81
            PIN I1 XLXN_80
            PIN O ciram_ce
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_80
            WIRE 2048 2048 2064 2048
            WIRE 2064 2048 2064 2112
            WIRE 2064 2112 2080 2112
        END BRANCH
        BEGIN BRANCH XLXN_81
            WIRE 2048 2240 2064 2240
            WIRE 2064 2176 2080 2176
            WIRE 2064 2176 2064 2240
        END BRANCH
        INSTANCE XLXI_37 2048 928 R0
        IOMARKER 1424 864 chrain13 R180 28
        IOMARKER 1424 1104 chrain11 R180 28
        INSTANCE XLXI_48 2048 1168 R0
        INSTANCE XLXI_49 2048 688 R0
        INSTANCE XLXI_51 1744 720 R0
        BEGIN BRANCH XLXN_108
            WIRE 2304 832 2384 832
            WIRE 2384 704 2384 832
            WIRE 2384 704 2464 704
        END BRANCH
        BEGIN BRANCH XLXN_109
            WIRE 2304 1040 2464 1040
            WIRE 2464 768 2464 1040
        END BRANCH
        BEGIN BRANCH XLXN_110
            WIRE 2304 560 2384 560
            WIRE 2384 560 2384 640
            WIRE 2384 640 2464 640
        END BRANCH
        BEGIN BRANCH XLXN_112
            WIRE 2000 624 2048 624
        END BRANCH
        BEGIN DISPLAY 2716 780 TEXT "cramouta10 = vertical & a10 &  a13"
            FONT 28 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 3008 828 TEXT "a10 & /a13"
            FONT 28 "Arial"
        END DISPLAY
        BEGIN BRANCH chrbanka11
            WIRE 1440 1488 2048 1488
            WIRE 2048 1488 2048 1520
            WIRE 2048 1520 2336 1520
        END BRANCH
        IOMARKER 1440 1488 chrbanka11 R180 28
        BEGIN BRANCH chrain10
            WIRE 1440 496 2048 496
        END BRANCH
        BEGIN BRANCH chrbanka10
            WIRE 1440 800 2048 800
        END BRANCH
        IOMARKER 1440 496 chrain10 R180 28
        IOMARKER 1440 800 chrbanka10 R180 28
        BEGIN BRANCH chrain11
            WIRE 1424 1104 1520 1104
            WIRE 1520 1104 2048 1104
            WIRE 1520 1104 1520 2304
            WIRE 1520 2304 1792 2304
            WIRE 1520 2304 1520 2576
            WIRE 1520 2576 1792 2576
        END BRANCH
        BEGIN BRANCH chrain13
            WIRE 1424 864 1664 864
            WIRE 1664 864 2048 864
            WIRE 1664 864 1664 976
            WIRE 1664 976 2048 976
            WIRE 1664 976 1664 1552
            WIRE 1664 1552 1664 2016
            WIRE 1664 2016 1792 2016
            WIRE 1664 2016 1664 2240
            WIRE 1664 2240 1792 2240
            WIRE 1664 2240 1664 2512
            WIRE 1664 2512 1792 2512
            WIRE 1664 1552 2048 1552
            WIRE 1664 336 1664 560
            WIRE 1664 560 2048 560
            WIRE 1664 560 1664 864
            WIRE 1664 336 2048 336
        END BRANCH
        BEGIN BRANCH oneA
            WIRE 1456 144 1712 144
        END BRANCH
        INSTANCE XLXI_50 2048 400 R0
        IOMARKER 1456 144 oneA R180 28
        INSTANCE XLXI_62 2464 832 R0
        BEGIN BRANCH XLXN_117
            WIRE 2304 304 2464 304
            WIRE 2464 304 2464 576
        END BRANCH
        BEGIN BRANCH prgdin(7:0)
            WIRE 320 2160 480 2160
        END BRANCH
        IOMARKER 320 2160 prgdin(7:0) R180 28
        IOMARKER 960 240 oneB R180 28
        IOMARKER 960 560 vertical R180 28
        IOMARKER 1024 1008 horizontal R180 28
        BEGIN BRANCH four
            WIRE 832 1712 960 1712
        END BRANCH
        BEGIN BRANCH hardwirefour
            WIRE 832 1776 960 1776
            BEGIN DISPLAY 832 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 832 1712 four R180 28
        INSTANCE XLXI_81 1792 2368 R0
        INSTANCE XLXI_82 1792 2640 R0
        INSTANCE XLXI_83 2096 2544 R0
        BEGIN BRANCH XLXN_133
            WIRE 2048 2512 2096 2512
        END BRANCH
        INSTANCE XLXI_84 1792 2144 R0
        INSTANCE XLXI_85 960 1840 R0
        BEGIN BRANCH oneB
            WIRE 960 240 1040 240
        END BRANCH
        BEGIN BRANCH vertical
            WIRE 960 560 1024 560
        END BRANCH
        BEGIN BRANCH horizontal
            WIRE 1024 1008 1088 1008
        END BRANCH
        INSTANCE XLXI_87 1040 368 R0
        INSTANCE XLXI_88 1024 688 R0
        INSTANCE XLXI_89 1088 1136 R0
        BEGIN BRANCH XLXN_137
            WIRE 1296 272 2048 272
        END BRANCH
        BEGIN BRANCH XLXN_138
            WIRE 1280 592 1744 592
        END BRANCH
        BEGIN BRANCH XLXN_139
            WIRE 1344 1040 2048 1040
        END BRANCH
        BEGIN BRANCH hardwirefour
            WIRE 976 304 1040 304
            BEGIN DISPLAY 976 304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hardwirefour
            WIRE 976 624 1024 624
            BEGIN DISPLAY 976 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH hardwirefour
            WIRE 1024 1072 1088 1072
            BEGIN DISPLAY 1024 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cramaout10
            WIRE 2976 672 3280 672
        END BRANCH
        BEGIN BRANCH XLXN_148
            WIRE 2720 672 2752 672
        END BRANCH
        BEGIN BRANCH cramaout11
            WIRE 2560 1520 3296 1520
        END BRANCH
        IOMARKER 3296 1520 cramaout11 R0 28
        IOMARKER 3056 2144 ciram_ce R0 28
        BEGIN BRANCH nesclk
            WIRE 2272 2592 2384 2592
        END BRANCH
        IOMARKER 2272 2592 nesclk R180 28
        BEGIN BRANCH nesclk
            WIRE 2288 1648 2336 1648
            BEGIN DISPLAY 2288 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nesclk
            WIRE 2704 800 2752 800
            BEGIN DISPLAY 2704 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_96 720 2544 R0
        BEGIN BRANCH prgdin(3)
            WIRE 640 2288 720 2288
            BEGIN DISPLAY 640 2288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_97 2752 704 R0
        INSTANCE XLXI_98 2336 1552 R0
        BEGIN BRANCH nesclk
            WIRE 432 2496 656 2496
            BEGIN DISPLAY 432 2496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mirroringwr
            WIRE 640 2352 720 2352
        END BRANCH
        BEGIN BRANCH nesm2
            WIRE 640 2416 720 2416
        END BRANCH
        IOMARKER 640 2352 mirroringwr R180 28
        IOMARKER 640 2416 nesm2 R180 28
        BEGIN BRANCH XLXN_132
            WIRE 1216 1744 1584 1744
            WIRE 1584 1744 1584 2080
            WIRE 1584 2080 1584 2176
            WIRE 1584 2176 1584 2448
            WIRE 1584 2448 1792 2448
            WIRE 1584 2176 1792 2176
            WIRE 1584 2080 1792 2080
            WIRE 1584 656 1744 656
            WIRE 1584 656 1584 1744
        END BRANCH
        BEGIN BRANCH hardwirefour
            WIRE 1104 2288 1216 2288
            BEGIN DISPLAY 1216 2288 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 3280 672 cramaout10 R0 28
        BEGIN BRANCH fram_ce
            WIRE 2320 2512 2336 2512
            WIRE 2336 2512 3056 2512
        END BRANCH
        BEGIN BRANCH ciram_ce
            WIRE 2336 2144 3056 2144
        END BRANCH
        INSTANCE XLXI_103 2080 2240 R0
        IOMARKER 3056 2512 fram_ce R0 28
    END SHEET
END SCHEMATIC
