VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL bootenwr
        SIGNAL prgdin(0)
        SIGNAL prgram_rd
        SIGNAL wramen
        SIGNAL prgram_wr
        SIGNAL XLXN_35
        SIGNAL prgain(14)
        SIGNAL prgain(13)
        SIGNAL XLXN_82
        SIGNAL prgain(2)
        SIGNAL prgain(1)
        SIGNAL prgain(0)
        SIGNAL chrsizewr
        SIGNAL mirroringwr
        SIGNAL arcadewr
        SIGNAL gamegeniewr
        SIGNAL prgsizewr
        SIGNAL m2
        SIGNAL prgain(9)
        SIGNAL prgain(11)
        SIGNAL prgain(12)
        SIGNAL prgain(15:0)
        SIGNAL prg_ce
        SIGNAL prgr_w
        SIGNAL booten
        SIGNAL wram_wr
        SIGNAL wram_rd
        SIGNAL prgdin(7:0)
        SIGNAL prgain(8)
        SIGNAL prgain(10)
        SIGNAL XLXN_94
        SIGNAL XLXN_95
        SIGNAL resetcount(7:0)
        SIGNAL XLXN_97
        SIGNAL nesclk
        SIGNAL resetcount(5)
        SIGNAL chrramen
        SIGNAL chrain13
        SIGNAL neschr_wr
        SIGNAL neschr_rd
        SIGNAL XLXN_104
        SIGNAL XLXN_112
        SIGNAL chrram_wr
        SIGNAL chrram_rd
        SIGNAL chrram_ce
        SIGNAL XLXN_114
        SIGNAL XLXN_115
        PORT Output prgram_rd
        PORT Input wramen
        PORT Output prgram_wr
        PORT Output chrsizewr
        PORT Output mirroringwr
        PORT Output arcadewr
        PORT Output gamegeniewr
        PORT Output prgsizewr
        PORT Input m2
        PORT Input prgain(15:0)
        PORT Input prg_ce
        PORT Input prgr_w
        PORT Output booten
        PORT Output wram_wr
        PORT Output wram_rd
        PORT Input prgdin(7:0)
        PORT Input nesclk
        PORT Input chrramen
        PORT Input chrain13
        PORT Input neschr_wr
        PORT Input neschr_rd
        PORT Output chrram_wr
        PORT Output chrram_rd
        PORT Output chrram_ce
        BEGIN BLOCKDEF nand5b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 256 -192 216 -192 
            CIRCLE N 192 -204 216 -180 
            LINE N 64 -64 64 -320 
            ARC N 96 -240 192 -144 144 -144 144 -240 
            LINE N 64 -240 144 -240 
            LINE N 144 -144 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF d3_8e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -576 64 -576 
            LINE N 0 -512 64 -512 
            LINE N 0 -448 64 -448 
            LINE N 384 -576 320 -576 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 384 -320 320 -320 
            LINE N 384 -256 320 -256 
            LINE N 384 -192 320 -192 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF nand5b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 256 -192 216 -192 
            CIRCLE N 192 -204 216 -180 
            LINE N 144 -144 64 -144 
            LINE N 64 -240 144 -240 
            LINE N 64 -64 64 -320 
            ARC N 96 -240 192 -144 144 -144 144 -240 
        END BLOCKDEF
        BEGIN BLOCKDEF nand4b4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -256 40 -256 
            CIRCLE N 40 -268 64 -244 
            LINE N 256 -160 216 -160 
            CIRCLE N 192 -172 216 -148 
            LINE N 144 -112 64 -112 
            LINE N 64 -64 64 -256 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
        END BLOCKDEF
        BEGIN BLOCKDEF nand4b3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 216 -160 
            CIRCLE N 192 -172 216 -148 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 144 -112 64 -112 
            LINE N 64 -64 64 -256 
            LINE N 64 -208 144 -208 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF fdpe
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -320 192 -352 
            LINE N 192 -352 64 -352 
            RECTANGLE N 64 -320 320 -64 
            LINE N 384 -256 320 -256 
            LINE N 0 -352 64 -352 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF nor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N 28 -144 204 32 192 -96 112 -144 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -48 48 -48 
            LINE N 112 -144 48 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_14 and2
            PIN I0 prgain(13)
            PIN I1 prgain(14)
            PIN O XLXN_35
        END BLOCK
        BEGIN BLOCK XLXI_26 d3_8e
            PIN A0 prgain(0)
            PIN A1 prgain(1)
            PIN A2 prgain(2)
            PIN E XLXN_82
            PIN D0 prgsizewr
            PIN D1 chrsizewr
            PIN D2 mirroringwr
            PIN D3 arcadewr
            PIN D4 gamegeniewr
            PIN D5
            PIN D6
            PIN D7 bootenwr
        END BLOCK
        BEGIN BLOCK XLXI_56 nand5b2
            PIN I0 prgr_w
            PIN I1 m2
            PIN I2 wramen
            PIN I3 prg_ce
            PIN I4 XLXN_35
            PIN O wram_wr
        END BLOCK
        BEGIN BLOCK XLXI_57 nand5b1
            PIN I0 m2
            PIN I1 prg_ce
            PIN I2 prgr_w
            PIN I3 wramen
            PIN I4 XLXN_35
            PIN O wram_rd
        END BLOCK
        BEGIN BLOCK XLXI_66 nand4b4
            PIN I0 prg_ce
            PIN I1 prgr_w
            PIN I2 booten
            PIN I3 m2
            PIN O prgram_wr
        END BLOCK
        BEGIN BLOCK XLXI_67 nand4b3
            PIN I0 m2
            PIN I1 prg_ce
            PIN I2 booten
            PIN I3 prgr_w
            PIN O prgram_rd
        END BLOCK
        BEGIN BLOCK XLXI_73 and4b2
            PIN I0 prgain(10)
            PIN I1 prgain(8)
            PIN I2 prgain(14)
            PIN I3 prgain(9)
            PIN O XLXN_94
        END BLOCK
        BEGIN BLOCK XLXI_74 and4b3
            PIN I0 prgain(11)
            PIN I1 prgain(12)
            PIN I2 prgain(13)
            PIN I3 prg_ce
            PIN O XLXN_95
        END BLOCK
        BEGIN BLOCK XLXI_77 and3b1
            PIN I0 prgr_w
            PIN I1 XLXN_94
            PIN I2 XLXN_95
            PIN O XLXN_82
        END BLOCK
        BEGIN BLOCK XLXI_78 cb8ce
            PIN C nesclk
            PIN CE XLXN_97
            PIN CLR m2
            PIN CEO
            PIN Q(7:0) resetcount(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_79 vcc
            PIN P XLXN_97
        END BLOCK
        BEGIN BLOCK XLXI_92 fdpe
            PIN C m2
            PIN CE bootenwr
            PIN D prgdin(0)
            PIN PRE resetcount(5)
            PIN Q booten
        END BLOCK
        BEGIN BLOCK XLXI_89 and3b2
            PIN I0 neschr_wr
            PIN I1 chrain13
            PIN I2 chrramen
            PIN O XLXN_114
        END BLOCK
        BEGIN BLOCK XLXI_90 and2b2
            PIN I0 neschr_rd
            PIN I1 chrain13
            PIN O XLXN_104
        END BLOCK
        BEGIN BLOCK XLXI_104 inv
            PIN I XLXN_104
            PIN O chrram_rd
        END BLOCK
        BEGIN BLOCK XLXI_105 inv
            PIN I XLXN_114
            PIN O chrram_wr
        END BLOCK
        BEGIN BLOCK XLXI_107 nor2
            PIN I0 XLXN_104
            PIN I1 XLXN_114
            PIN O chrram_ce
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH prgdin(0)
            WIRE 2640 528 2768 528
            BEGIN DISPLAY 2640 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgram_rd
            WIRE 3728 1120 3872 1120
        END BRANCH
        BEGIN BRANCH wramen
            WIRE 3024 1744 3200 1744
            WIRE 3200 1744 3472 1744
            WIRE 3200 1424 3472 1424
            WIRE 3200 1424 3200 1744
        END BRANCH
        INSTANCE XLXI_14 2896 1392 R0
        BEGIN BRANCH XLXN_35
            WIRE 3152 1296 3248 1296
            WIRE 3248 1296 3472 1296
            WIRE 3248 1296 3248 1680
            WIRE 3248 1680 3472 1680
        END BRANCH
        BUSTAP 2736 1264 2832 1264
        BUSTAP 2736 1328 2832 1328
        BEGIN BRANCH prgain(14)
            WIRE 2832 1264 2880 1264
            WIRE 2880 1264 2896 1264
            BEGIN DISPLAY 2880 1264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(13)
            WIRE 2832 1328 2880 1328
            WIRE 2880 1328 2896 1328
            BEGIN DISPLAY 2880 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 3328 2240 3424 2240
        BUSTAP 3328 2304 3424 2304
        BUSTAP 3328 2368 3424 2368
        BEGIN BRANCH prgain(2)
            WIRE 3424 2368 3520 2368
            WIRE 3520 2368 3648 2368
            BEGIN DISPLAY 3520 2368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(1)
            WIRE 3424 2304 3520 2304
            WIRE 3520 2304 3648 2304
            BEGIN DISPLAY 3520 2304 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mirroringwr
            WIRE 4032 2368 4208 2368
        END BRANCH
        BEGIN BRANCH m2
            WIRE 2320 656 2768 656
        END BRANCH
        BUSTAP 2176 2528 2272 2528
        BUSTAP 2176 2592 2272 2592
        BUSTAP 2176 2688 2272 2688
        BUSTAP 2176 2752 2272 2752
        BUSTAP 2176 2816 2272 2816
        BUSTAP 2176 2912 2272 2912
        BUSTAP 2176 2976 2272 2976
        BEGIN BRANCH prgain(9)
            WIRE 2272 2528 2336 2528
            WIRE 2336 2528 2496 2528
            BEGIN DISPLAY 2336 2528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(14)
            WIRE 2272 2592 2336 2592
            WIRE 2336 2592 2496 2592
            BEGIN DISPLAY 2336 2592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(12)
            WIRE 2272 2912 2336 2912
            WIRE 2336 2912 2336 2944
            WIRE 2336 2944 2464 2944
            BEGIN DISPLAY 2336 2912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(13)
            WIRE 2272 2976 2336 2976
            WIRE 2336 2976 2336 3008
            WIRE 2336 3008 2464 3008
            BEGIN DISPLAY 2336 2976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prg_ce
            WIRE 2080 1872 2080 3072
            WIRE 2080 3072 2464 3072
            WIRE 2080 1872 3376 1872
            WIRE 3376 1872 3472 1872
            WIRE 3024 1488 3376 1488
            WIRE 3376 1488 3376 1872
            WIRE 3376 928 3472 928
            WIRE 3376 928 3376 1152
            WIRE 3376 1152 3472 1152
            WIRE 3376 1152 3376 1360
            WIRE 3376 1360 3472 1360
            WIRE 3376 1360 3376 1488
        END BRANCH
        BEGIN BRANCH booten
            WIRE 3152 528 3248 528
            WIRE 3248 528 3936 528
            WIRE 3248 528 3248 800
            WIRE 3248 800 3248 1088
            WIRE 3248 1088 3472 1088
            WIRE 3248 800 3472 800
        END BRANCH
        IOMARKER 3936 528 booten R0 28
        IOMARKER 4208 2368 mirroringwr R0 28
        IOMARKER 4208 2432 arcadewr R0 28
        IOMARKER 4208 2496 gamegeniewr R0 28
        IOMARKER 2672 1120 prgain(15:0) R180 28
        IOMARKER 3024 1488 prg_ce R180 28
        IOMARKER 3024 1552 prgr_w R180 28
        IOMARKER 3024 1744 wramen R180 28
        BEGIN BRANCH m2
            WIRE 3056 1936 3424 1936
            WIRE 3424 1936 3472 1936
            WIRE 3424 736 3424 1216
            WIRE 3424 1216 3424 1488
            WIRE 3424 1488 3472 1488
            WIRE 3424 1488 3424 1936
            WIRE 3424 1216 3472 1216
            WIRE 3424 736 3472 736
            BEGIN DISPLAY 3056 1936 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(15:0)
            WIRE 2176 2368 2736 2368
            WIRE 2736 2368 3328 2368
            WIRE 2176 2368 2176 2528
            WIRE 2176 2528 2176 2592
            WIRE 2176 2592 2176 2688
            WIRE 2176 2688 2176 2752
            WIRE 2176 2752 2176 2816
            WIRE 2176 2816 2176 2912
            WIRE 2176 2912 2176 2976
            WIRE 2672 1120 2736 1120
            WIRE 2736 1120 2736 1264
            WIRE 2736 1264 2736 1328
            WIRE 2736 1328 2736 2368
            WIRE 3328 2240 3328 2304
            WIRE 3328 2304 3328 2368
        END BRANCH
        BEGIN BRANCH bootenwr
            WIRE 2720 272 4448 272
            WIRE 4448 272 4448 2688
            WIRE 2720 272 2720 592
            WIRE 2720 592 2768 592
            WIRE 4032 2688 4208 2688
            WIRE 4208 2688 4448 2688
            BEGIN DISPLAY 4208 2688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH gamegeniewr
            WIRE 4032 2496 4208 2496
        END BRANCH
        BEGIN BRANCH arcadewr
            WIRE 4032 2432 4208 2432
        END BRANCH
        BEGIN BRANCH chrsizewr
            WIRE 4032 2304 4208 2304
        END BRANCH
        BEGIN BRANCH prgsizewr
            WIRE 4032 2240 4208 2240
        END BRANCH
        BEGIN BRANCH XLXN_82
            WIRE 3584 2816 3632 2816
            WIRE 3632 2688 3648 2688
            WIRE 3632 2688 3632 2816
        END BRANCH
        BEGIN BRANCH prgain(0)
            WIRE 3424 2240 3520 2240
            WIRE 3520 2240 3648 2240
            BEGIN DISPLAY 3520 2240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_26 3648 2816 R0
        INSTANCE XLXI_56 3472 1616 R0
        INSTANCE XLXI_57 3472 2000 R0
        BEGIN BRANCH prgram_wr
            WIRE 3728 832 3872 832
        END BRANCH
        INSTANCE XLXI_66 3472 992 R0
        INSTANCE XLXI_67 3472 1280 R0
        IOMARKER 3872 1120 prgram_rd R0 28
        IOMARKER 3872 832 prgram_wr R0 28
        BEGIN BRANCH wram_rd
            WIRE 3728 1808 3872 1808
        END BRANCH
        BEGIN BRANCH wram_wr
            WIRE 3728 1424 3888 1424
        END BRANCH
        IOMARKER 2320 656 m2 R180 28
        BEGIN BRANCH prgdin(7:0)
            WIRE 2672 1056 2848 1056
        END BRANCH
        IOMARKER 2672 1056 prgdin(7:0) R180 28
        IOMARKER 3872 1808 wram_rd R0 28
        IOMARKER 3888 1424 wram_wr R0 28
        IOMARKER 4208 2240 prgsizewr R0 28
        IOMARKER 4208 2304 chrsizewr R0 28
        INSTANCE XLXI_74 2464 2816 M180
        INSTANCE XLXI_73 2496 2784 R0
        BEGIN BRANCH prgr_w
            WIRE 3024 1552 3296 1552
            WIRE 3296 1552 3296 1808
            WIRE 3296 1808 3472 1808
            WIRE 3296 1808 3296 2880
            WIRE 3296 2880 3328 2880
            WIRE 3296 1552 3472 1552
            WIRE 3296 864 3296 1024
            WIRE 3296 1024 3296 1552
            WIRE 3296 1024 3472 1024
            WIRE 3296 864 3472 864
        END BRANCH
        BEGIN BRANCH XLXN_94
            WIRE 2752 2624 3200 2624
            WIRE 3200 2624 3200 2816
            WIRE 3200 2816 3328 2816
        END BRANCH
        BEGIN BRANCH XLXN_95
            WIRE 2720 2976 2736 2976
            WIRE 2736 2752 3328 2752
            WIRE 2736 2752 2736 2976
        END BRANCH
        INSTANCE XLXI_77 3328 2944 R0
        BEGIN BRANCH prgain(11)
            WIRE 2272 2816 2336 2816
            WIRE 2336 2816 2448 2816
            WIRE 2448 2816 2448 2880
            WIRE 2448 2880 2464 2880
            BEGIN DISPLAY 2336 2816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(10)
            WIRE 2272 2752 2288 2752
            WIRE 2288 2720 2336 2720
            WIRE 2336 2720 2496 2720
            WIRE 2288 2720 2288 2752
            BEGIN DISPLAY 2336 2720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(8)
            WIRE 2272 2688 2288 2688
            WIRE 2288 2656 2336 2656
            WIRE 2336 2656 2496 2656
            WIRE 2288 2656 2288 2688
            BEGIN DISPLAY 2336 2656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_78 1712 800 R0
        BEGIN BRANCH resetcount(7:0)
            WIRE 2096 544 2176 544
            BEGIN DISPLAY 2176 544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_97
            WIRE 1664 608 1712 608
        END BRANCH
        BEGIN BRANCH nesclk
            WIRE 1568 672 1712 672
        END BRANCH
        IOMARKER 1568 672 nesclk R180 28
        INSTANCE XLXI_79 1600 608 R0
        BEGIN BRANCH resetcount(5)
            WIRE 2640 432 2768 432
            BEGIN DISPLAY 2640 432 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH m2
            WIRE 1328 768 1712 768
            BEGIN DISPLAY 1328 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_92 2768 784 R0
        BEGIN BRANCH chrramen
            WIRE 3120 2992 3328 2992
        END BRANCH
        BEGIN BRANCH neschr_wr
            WIRE 3120 3120 3328 3120
        END BRANCH
        BEGIN BRANCH neschr_rd
            WIRE 3120 3264 3328 3264
        END BRANCH
        INSTANCE XLXI_89 3328 3184 R0
        INSTANCE XLXI_90 3328 3328 R0
        BEGIN BRANCH XLXN_104
            WIRE 3584 3232 3616 3232
            WIRE 3616 3168 3616 3232
            WIRE 3616 3168 3648 3168
            WIRE 3648 3120 3648 3168
            WIRE 3648 3120 3952 3120
            WIRE 3952 3120 4192 3120
            WIRE 4192 3120 4192 3200
            WIRE 4192 3200 4272 3200
            WIRE 3952 3120 3952 3376
            WIRE 3952 3376 3952 3392
            WIRE 3952 3392 4096 3392
        END BRANCH
        IOMARKER 3120 3264 neschr_rd R180 28
        IOMARKER 3120 3120 neschr_wr R180 28
        IOMARKER 3120 3056 chrain13 R180 28
        IOMARKER 3120 2992 chrramen R180 28
        BEGIN BRANCH chrain13
            WIRE 3120 3056 3200 3056
            WIRE 3200 3056 3328 3056
            WIRE 3200 3056 3200 3200
            WIRE 3200 3200 3328 3200
        END BRANCH
        BEGIN BRANCH chrram_wr
            WIRE 4496 2832 4576 2832
        END BRANCH
        BEGIN BRANCH chrram_rd
            WIRE 4496 3200 4608 3200
        END BRANCH
        IOMARKER 4576 2832 chrram_wr R0 28
        IOMARKER 4608 3200 chrram_rd R0 28
        INSTANCE XLXI_104 4272 3232 R0
        INSTANCE XLXI_105 4272 2864 R0
        BEGIN BRANCH chrram_ce
            WIRE 4352 3360 4464 3360
        END BRANCH
        IOMARKER 4464 3360 chrram_ce R0 28
        INSTANCE XLXI_107 4096 3456 R0
        BEGIN BRANCH XLXN_114
            WIRE 3584 3056 3616 3056
            WIRE 3616 3056 3616 3104
            WIRE 3616 3104 3648 3104
            WIRE 3648 2832 3648 3104
            WIRE 3648 2832 4000 2832
            WIRE 4000 2832 4272 2832
            WIRE 4000 2832 4000 3328
            WIRE 4000 3328 4096 3328
        END BRANCH
    END SHEET
END SCHEMATIC
