VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL a(0)
        SIGNAL a(1)
        SIGNAL a(2)
        SIGNAL a(3)
        SIGNAL a(4)
        SIGNAL a(5)
        SIGNAL a(6)
        SIGNAL a(7)
        SIGNAL b(1)
        SIGNAL b(2)
        SIGNAL b(3)
        SIGNAL b(4)
        SIGNAL b(5)
        SIGNAL b(6)
        SIGNAL b(7)
        SIGNAL b(0)
        SIGNAL a(7:0)
        SIGNAL b(7:0)
        SIGNAL sel
        SIGNAL dout(7:0)
        SIGNAL dout(0)
        SIGNAL dout(1)
        SIGNAL dout(2)
        SIGNAL dout(3)
        SIGNAL dout(4)
        SIGNAL dout(5)
        SIGNAL dout(6)
        SIGNAL dout(7)
        SIGNAL enable
        PORT Input a(7:0)
        PORT Input b(7:0)
        PORT Input sel
        PORT Output dout(7:0)
        PORT Input enable
        BEGIN BLOCKDEF m2_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 96 -96 
            LINE N 0 -32 96 -32 
            LINE N 208 -32 92 -32 
            LINE N 208 -152 208 -32 
            LINE N 144 -96 96 -96 
            LINE N 144 -136 144 -96 
            LINE N 96 -128 96 -256 
            LINE N 256 -160 96 -128 
            LINE N 256 -224 256 -160 
            LINE N 96 -256 256 -224 
            LINE N 320 -192 256 -192 
            LINE N 0 -224 96 -224 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_18 m2_1e
            PIN D0 a(0)
            PIN D1 b(0)
            PIN E enable
            PIN S0 sel
            PIN O dout(0)
        END BLOCK
        BEGIN BLOCK XLXI_19 m2_1e
            PIN D0 a(1)
            PIN D1 b(1)
            PIN E enable
            PIN S0 sel
            PIN O dout(1)
        END BLOCK
        BEGIN BLOCK XLXI_20 m2_1e
            PIN D0 a(2)
            PIN D1 b(2)
            PIN E enable
            PIN S0 sel
            PIN O dout(2)
        END BLOCK
        BEGIN BLOCK XLXI_21 m2_1e
            PIN D0 a(3)
            PIN D1 b(3)
            PIN E enable
            PIN S0 sel
            PIN O dout(3)
        END BLOCK
        BEGIN BLOCK XLXI_22 m2_1e
            PIN D0 a(4)
            PIN D1 b(4)
            PIN E enable
            PIN S0 sel
            PIN O dout(4)
        END BLOCK
        BEGIN BLOCK XLXI_23 m2_1e
            PIN D0 a(5)
            PIN D1 b(5)
            PIN E enable
            PIN S0 sel
            PIN O dout(5)
        END BLOCK
        BEGIN BLOCK XLXI_24 m2_1e
            PIN D0 a(6)
            PIN D1 b(6)
            PIN E enable
            PIN S0 sel
            PIN O dout(6)
        END BLOCK
        BEGIN BLOCK XLXI_25 m2_1e
            PIN D0 a(7)
            PIN D1 b(7)
            PIN E enable
            PIN S0 sel
            PIN O dout(7)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH a(0)
            WIRE 768 208 848 208
            BEGIN DISPLAY 768 208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(0)
            WIRE 768 272 848 272
            BEGIN DISPLAY 768 272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(1)
            WIRE 1488 208 1568 208
            BEGIN DISPLAY 1488 208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(1)
            WIRE 1488 272 1568 272
            BEGIN DISPLAY 1488 272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(2)
            WIRE 2144 224 2224 224
            BEGIN DISPLAY 2144 224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(2)
            WIRE 2144 288 2224 288
            BEGIN DISPLAY 2144 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(3)
            WIRE 2864 224 2944 224
            BEGIN DISPLAY 2864 224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(3)
            WIRE 2864 288 2944 288
            BEGIN DISPLAY 2864 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(4)
            WIRE 784 1104 864 1104
            BEGIN DISPLAY 784 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(4)
            WIRE 784 1168 864 1168
            BEGIN DISPLAY 784 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(5)
            WIRE 1504 1104 1584 1104
            BEGIN DISPLAY 1504 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(5)
            WIRE 1504 1168 1584 1168
            BEGIN DISPLAY 1504 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(6)
            WIRE 2160 1120 2240 1120
            BEGIN DISPLAY 2160 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(6)
            WIRE 2160 1184 2240 1184
            BEGIN DISPLAY 2160 1184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(7)
            WIRE 2880 1120 2960 1120
            BEGIN DISPLAY 2880 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH b(7)
            WIRE 2880 1184 2960 1184
            BEGIN DISPLAY 2880 1184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(7:0)
            WIRE 1120 1920 1504 1920
        END BRANCH
        BEGIN BRANCH b(7:0)
            WIRE 1120 1984 1504 1984
        END BRANCH
        IOMARKER 1120 1920 a(7:0) R180 28
        IOMARKER 1120 1984 b(7:0) R180 28
        BEGIN BRANCH sel
            WIRE 1136 2432 1520 2432
        END BRANCH
        IOMARKER 1136 2432 sel R180 28
        BEGIN BRANCH dout(7:0)
            WIRE 1840 1952 2304 1952
        END BRANCH
        IOMARKER 2304 1952 dout(7:0) R0 28
        BEGIN BRANCH dout(0)
            WIRE 1168 240 1232 240
            BEGIN DISPLAY 1232 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 768 336 848 336
            BEGIN DISPLAY 768 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 1488 336 1568 336
            BEGIN DISPLAY 1488 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 2144 352 2224 352
            BEGIN DISPLAY 2144 352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 2864 352 2944 352
            BEGIN DISPLAY 2864 352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(1)
            WIRE 1888 240 1952 240
            BEGIN DISPLAY 1952 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(2)
            WIRE 2544 256 2608 256
            BEGIN DISPLAY 2608 256 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(3)
            WIRE 3264 256 3328 256
            BEGIN DISPLAY 3328 256 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 784 1232 864 1232
            BEGIN DISPLAY 784 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 1504 1232 1584 1232
            BEGIN DISPLAY 1504 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 2160 1248 2240 1248
            BEGIN DISPLAY 2160 1248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sel
            WIRE 2880 1248 2960 1248
            BEGIN DISPLAY 2880 1248 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(4)
            WIRE 1184 1136 1248 1136
            BEGIN DISPLAY 1248 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(5)
            WIRE 1904 1136 1968 1136
            BEGIN DISPLAY 1968 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(6)
            WIRE 2560 1152 2624 1152
            BEGIN DISPLAY 2624 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH dout(7)
            WIRE 3280 1152 3344 1152
            BEGIN DISPLAY 3344 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 1120 2528 1504 2528
        END BRANCH
        IOMARKER 1120 2528 enable R180 28
        INSTANCE XLXI_18 848 432 R0
        INSTANCE XLXI_19 1568 432 R0
        INSTANCE XLXI_20 2224 448 R0
        INSTANCE XLXI_21 2944 448 R0
        INSTANCE XLXI_22 864 1328 R0
        INSTANCE XLXI_23 1584 1328 R0
        INSTANCE XLXI_24 2240 1344 R0
        INSTANCE XLXI_25 2960 1344 R0
        BEGIN BRANCH enable
            WIRE 768 400 848 400
            BEGIN DISPLAY 768 400 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 1488 400 1568 400
            BEGIN DISPLAY 1488 400 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 2144 416 2224 416
            BEGIN DISPLAY 2144 416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 2864 416 2944 416
            BEGIN DISPLAY 2864 416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 2880 1312 2960 1312
            BEGIN DISPLAY 2880 1312 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 2160 1312 2240 1312
            BEGIN DISPLAY 2160 1312 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 1504 1296 1584 1296
            BEGIN DISPLAY 1504 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable
            WIRE 784 1296 864 1296
            BEGIN DISPLAY 784 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
